﻿<AML>
 <Item type="Method" id="C35F49DA32624DBFAED47564E9240B76" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			pop_discount_amount_change
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	Calculate Total Amount and set.
	
Hooks:
	Type:	Form	:	pop_vendor_invoice
	Event:	pop_gst_amount ( onBlur )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();
var pop_sub_amount = top.aras.getItemProperty(document.item, 'pop_sub_amount');
var pop_gst_amount = top.aras.getItemProperty(document.item, 'pop_gst_amount');

var pop_sub_amount = parseFloat(pop_sub_amount);
var pop_gst_amount = parseFloat(pop_gst_amount);
var pop_total_amount = (pop_sub_amount + pop_gst_amount);

handleItemChange("pop_total_amount", parseFloat(pop_total_amount).toFixed(2));
return this;]]></method_code>
  <method_type>JavaScript</method_type>
  <name>pop_discount_amount_change</name>
 </Item>
</AML>